# aystar.cpp File Reference

Implementation of A*. More...

`#include "../../stdafx.h"`
`#include "../../core/alloc_func.hpp"`
`#include "aystar.h"`

Go to the source code of this file.

## Functions
static PathNode * | AyStarMain_ClosedList_IsInList (AyStar *aystar, const AyStarNode *node)
static void | AyStarMain_ClosedList_Add (AyStar *aystar, const PathNode *node)
static OpenListNode * | AyStarMain_OpenList_IsInList (AyStar *aystar, const AyStarNode *node)
static OpenListNode * | AyStarMain_OpenList_Pop (AyStar *aystar)
static void | AyStarMain_OpenList_Add (AyStar *aystar, PathNode *parent, const AyStarNode *node, int f, int g)
static int | AyStarMain_CheckTile (AyStar *aystar, AyStarNode *current, OpenListNode *parent)
static int | AyStarMain_Loop (AyStar *aystar)
static void | AyStarMain_Free (AyStar *aystar)
void | AyStarMain_Clear (AyStar *aystar)
int | AyStarMain_Main (AyStar *aystar)
static void | AyStarMain_AddStartNode (AyStar *aystar, AyStarNode *start_node, uint g)
void | init_AyStar (AyStar *aystar, Hash_HashProc hash, uint num_buckets)
## Variables
static int | _aystar_stats_open_size
static int | _aystar_stats_closed_size

## Detailed Description

Implementation of A*.

Definition in file aystar.cpp.